<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 */

namespace Federator\Exceptions;

/**
 * Unauthorized Exception
 */
class Unauthorized extends Exception
{
    /**
     *
     * {@inheritDoc}
     * @see \Exceptions\Exception::getRetCode()
     */
    public function getRetCode() : int
    {
        return 401;
    }
}
