<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

if (! array_key_exists('_call', $_REQUEST)) {
    http_response_code(404);
    exit();
}
date_default_timezone_set("Europe/Berlin");
spl_autoload_register(static function (string $className) {
    include '../php/' . str_replace("\\", "/", strtolower($className)) . '.php';
});

/// main instance
$contentnation = new \Federator\Api();
$contentnation->run();
