<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 */

namespace Federator\Exceptions;

/**
 * base class for our Exceptions
 */
class Exception extends \Error
{
    /**
     * get matching HTTP response code
     *
     * @return int number HTTP response code
     */
    public function getRetCode() : int
    {
        return 500;
    }
}
